"""Added organizations

Revision ID: 36cf1da79ed7
Revises: 41d541a8680b
Create Date: 2022-03-02 10:00:51.538449+01:00

"""
import sqlalchemy as sa
from alembic import op
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = "36cf1da79ed7"
down_revision = "41d541a8680b"
branch_labels = None
depends_on = None


def upgrade():
    """Upgrade"""
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "organizations",
        sa.Column("sid", sa.Integer(), nullable=False),
        sa.Column("uuid", postgresql.UUID(as_uuid=True), nullable=False),
        sa.Column("organization_name", sa.String(), nullable=False),
        sa.Column("organization_url", sa.String(), nullable=False),
        sa.PrimaryKeyConstraint("sid"),
    )
    op.create_index(
        op.f("ix_organizations_organization_name"),
        "organizations",
        ["organization_name"],
        unique=False,
    )
    op.create_index(
        op.f("ix_organizations_organization_url"),
        "organizations",
        ["organization_url"],
        unique=False,
    )
    op.create_index(op.f("ix_organizations_sid"), "organizations", ["sid"], unique=False)
    op.create_index(op.f("ix_organizations_uuid"), "organizations", ["uuid"], unique=False)
    # ### end Alembic commands ###


def downgrade():
    """Downgrade"""
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f("ix_organizations_uuid"), table_name="organizations")
    op.drop_index(op.f("ix_organizations_sid"), table_name="organizations")
    op.drop_index(op.f("ix_organizations_organization_url"), table_name="organizations")
    op.drop_index(op.f("ix_organizations_organization_name"), table_name="organizations")
    op.drop_table("organizations")
    # ### end Alembic commands ###
